Bug 1215390 - [RFE] Add option "deployment size" to tune system properly
Summary: [RFE] Add option "deployment size" to tune system properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.8
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: 6.7.0
Assignee: Ewoud Kohl van Wijngaarden
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks: 1122832 CEE_Sat6_Top_BZs, GSS_Sat6_Top_Bugs 1642171 1711465
TreeView+ depends on / blocked
 
Reported: 2015-04-26 09:27 UTC by Pavel Moravec
Modified: 2020-05-14 14:58 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
If your Satellite deployment includes more than 5000 hosts, you can now use satellite-installer to configure Satellite with predefined tuning profiles to improve the performance of Satellite. Note that you cannot use tuning profiles on Capsule.
Clone Of:
Environment:
Last Closed: 2020-04-14 13:22:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27775 Normal Closed Add support for pre-defined tuning profiles for Foreman & Katello installations 2020-05-20 21:37:02 UTC
Red Hat Bugzilla 1312098 'high' 'CLOSED' '[RFE] Satellite 6 should ship with larger default configurations to support large client installs' 2019-12-09 13:45:56 UTC
Red Hat Knowledge Base (Article) 2356131 None None None 2017-08-16 15:41:01 UTC
Red Hat Knowledge Base (Article) 2626101 None None None 2017-08-16 15:39:34 UTC
Red Hat Knowledge Base (Solution) 1257143 None None None 2017-08-16 15:40:16 UTC
Red Hat Knowledge Base (Solution) 1375253 None None None 2017-09-22 19:56:24 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:22:44 UTC

Internal Links: 1312098 1780016

Description Pavel Moravec 2015-04-26 09:27:59 UTC
Description of problem:
Various default values ([1], [2], [3]) limit Satellite6 usage to various maximal number of content hosts. A user has to manually tune the system when wanting more content hosts.

As many Satellite deployments are supposed to hit either of the limit, the tuning is required for most deployments. It can be written down in manuals (see bz1159281) or even better done automatically by installer to:
- simplify the manual steps during installation
- prevent (resolving) customer issues when not following that recommendations

Therefore I suggest having an option reflecting deployment size (in # of content hosts) that will update the settings. Alternativelly, the installer can set the parameters everytime to some safely high values (i.e. for 10k content hosts or so).

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1159281#c0
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1159281#c4
[3] https://bugzilla.redhat.com/show_bug.cgi?id=1159281#c12

Version-Release number of selected component (if applicable):
katello-installer-2.3.5-1.el7sat.noarch


How reproducible:
100%


Steps to Reproduce:
1. Run katello-installer in either way.


Actual results:
parameters mentioned in bz1159281#c0, bz1159281#c4 and bz1159281#c12 have default values.


Expected results:
Have possibility to fine tune the values for larger deployments automatically.


Additional info:

Comment 2 Bryan Kearney 2016-07-08 20:33:49 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 4 Stephen Benjamin 2016-10-14 14:42:36 UTC
Created redmine issue http://projects.theforeman.org/issues/16950 from this bug

Comment 12 Pat Riehecky 2019-03-28 18:43:40 UTC
Might it make sense to have the installer query the database to determine a rough size on an upgrade?  That will help sites that grew beyond their estimates.

Comment 13 Mike McCune 2019-07-23 21:52:21 UTC
For those following this bug, there is a partial solution noted in the 6.5 Quick Tuning Guide:

https://access.redhat.com/solutions/4224211

See "2.2 Quick Tuning Guide"

additional work will be done to build this directly into the installer.

Comment 14 Bryan Kearney 2019-09-30 12:05:29 UTC
Upstream bug assigned to ekohlvan@redhat.com

Comment 15 Devendra Singh 2020-01-28 10:45:22 UTC
This issue has been successfully verified in 6.7 Snap10, now user can change the deployment size as per their requirement using satellite-installer.

# satellite-installer --help
 --tuning INSTALLATION_SIZE    Tune for an installation size. Choices: default, medium, large, extra-large, extra-extra-large (default: "default")

# satellite-installer --tuning medium --disable-system-checks 
Installing             Done                                               [100%] [................................................................................................................................]

  Success!

# grep tuning /etc/foreman-installer/scenarios.d/satellite.yaml
  tuning: medium
:tuning: medium

Comment 21 errata-xmlrpc 2020-04-14 13:22:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.